"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.launchWorker = exports.setLimit = exports.close = exports.waitReady = exports.waitAll = exports.optimizeImageExt = exports.optimizeImage = void 0;
const node_path_1 = __importDefault(require("node:path"));
const node_worker_threads_1 = require("node:worker_threads");
const node_1 = require("worker-lib/node");
const { execute, waitAll, waitReady, close, setLimit, launchWorker } = (0, node_1.createWorker)(() => {
    const url = node_path_1.default.resolve(__dirname, "./node-worker.js");
    return new node_worker_threads_1.Worker(url);
});
exports.waitAll = waitAll;
exports.waitReady = waitReady;
exports.close = close;
exports.setLimit = setLimit;
exports.launchWorker = launchWorker;
const optimizeImage = async (params) => execute("optimizeImage", params);
exports.optimizeImage = optimizeImage;
const optimizeImageExt = async (params) => execute("optimizeImageExt", params);
exports.optimizeImageExt = optimizeImageExt;
//# sourceMappingURL=cjs-worker.js.map