import LibImage from "../cjs/libImage.js";
import WASM from "../esm/libImage.wasm?url";
import { _optimizeImage, _optimizeImageExt } from "../lib/optimizeImage.js";
let libImage;
const getLibImage = async () => {
    if (!libImage) {
        libImage = LibImage({
            wasmBinary: await fetch(WASM).then((v) => v.arrayBuffer()),
        });
    }
    return libImage;
};
export const optimizeImage = (params) => _optimizeImage({ ...params, libImage: getLibImage() });
export const optimizeImageExt = (params) => _optimizeImageExt({ ...params, libImage: getLibImage() });
//# sourceMappingURL=index.js.map